#!/bin/bash

status_bar=0

while [ ${status_bar} -eq 0 ] ; do
  updates=$(~/.config/dwl/scripts/checkUpdates.sh)
  kernel=$(~/.config/dwl/scripts/kernel_version.sh)
  cpuinfo=$(~/.config/dwl/scripts/cpu_info.sh)
  meminfo=$(~/.config/dwl/scripts/mem_info.sh)
  volume=$(~/.config/dwl/scripts/get_volume.sh)
  date=$(~/.config/dwl/scripts/current_date.sh)
  #echo "${updates} ${kernel} ${cpuinfo} ${meminfo} ${volume} ${date}"
  somebar -c status "${updates} ${kernel} ${cpuinfo} ${meminfo} ${volume} ${date}"
  sleep 2
done
